---
title: Selection.toString()
slug: Web/API/Selection/toString
tags:
  - API
  - Experimental
  - HTML Editing
  - Method
  - Reference
  - Selection
---
<div>
<div>
<div>{{ ApiRef("DOM") }}{{SeeCompatTable}}</div>
</div>
</div>

<p>The <strong><code>Selection.toString()</code></strong> method returns a string currently being represented by the selection object, i.e. the currently selected text.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sel</em>.toString()
</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the selection.</p>

<h2 id="Parameters">Description</h2>

<p>This method returns the currently selected text.</p>

<p>In <a href="en/JavaScript">JavaScript</a>, this method is called automatically when a function the selection object is passed to requires a string:</p>

<pre class="brush: js">alert(window.getSelection()) // What is called
alert(window.getSelection().toString())  // What is actually being effectively called.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#idl-def-selection-', 'Selection: toString()')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.toString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}, the interface it belongs to.</li>
</ul>
